Bug 1707313 - Firefox 60.6.1 - All extensions disabled due to expiration of intermediate signing cert (Upstream bug)
Summary: Firefox 60.6.1 - All extensions disabled due to expiration of intermediate si...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firefox
Version: 7.6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Martin Stransky
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-07 09:14 UTC by afox@redhat.com
Modified: 2019-06-11 05:36 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-11 05:36:41 UTC


Attachments (Terms of Use)

Description afox@redhat.com 2019-05-07 09:14:21 UTC
My customer reports that all his extensions are disabled on firefox-60.6.1 distributed as part of their desktop build.

This is already report as an upstream bug

https://bugzilla.mozilla.org/show_bug.cgi?id=1548973
All extensions disabled due to expiration of intermediate signing cert

I'm cloning Fedora bug 1706295 to allow for this to addresses in RHEL7.

Version-Release number of selected component (if applicable):
firefox-60.6.1-1.el7_6

How reproducible:
Always

Steps to Reproduce:
1. Open firefox and check extensions
2. Click Legacy Extensions

Actual results:
Most of my extensions are listed as could not be verified to use.

Expected results:


Additional info:

Comment 2 Martin Stransky 2019-05-07 10:00:46 UTC
A workaround set xpinstall.signatures.required to false at about:config.

Comment 5 Martin Stransky 2019-05-07 18:57:21 UTC
Unofficial builds are available here - http://people.redhat.com/stransky/firefox/

Comment 6 David Bein 2019-05-07 19:08:38 UTC
Will there be an update for RHEL 6.10 ....?

Comment 7 Martin Stransky 2019-05-07 19:20:05 UTC
(In reply to David Bein from comment #6)
> Will there be an update for RHEL 6.10 ....?

The link [1] contains unofficial builds for RHEL 6,7,8 and that's what I have available so far. 

[1] http://people.redhat.com/stransky/firefox/

Comment 8 Martin Stransky 2019-05-09 06:10:01 UTC
Mozilla postponed next regular ESR release (60.7.0) to May 21 (https://wiki.mozilla.org/Release_Management/Calendar). Latest available add-ons hotfix release is 60.6.3.

Comment 11 David Bein 2019-05-10 13:10:18 UTC
(In reply to Martin Stransky from comment #8)
> Mozilla postponed next regular ESR release (60.7.0) to May 21
> (https://wiki.mozilla.org/Release_Management/Calendar). Latest available
> add-ons hotfix release is 60.6.3.

Hmmm - I ran into the master password problem when I managed to install the mozilla build of 60.6.2esr.
I recovered from it using a backup of the masterpw database. It seems like this new approach will work better.
Thanks for the 60.6.3 build which I will test ...

Comment 12 David Bein 2019-05-13 21:28:39 UTC
Just tested the 60.6.3 private build from Martin's branch.
--------------------------------------------------------------
(1) The verification workaround disabled
(2) uBlock Origin certainly appears to be happy
(3) No issues with master passwords AFAICT
(4) The only thing I did was re-enable xpinstall.signatures.required to it's default: true

Martin - on behalf of 1000's of Redhat customers - thank you very much :)

Comment 14 Martin Stransky 2019-06-11 05:36:41 UTC
Fixed by 60.7.0 ESR release.


Note You need to log in before you can comment on or make changes to this bug.